> For the complete documentation index, see [llms.txt](https://docs.signius.eu/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.signius.eu/api/seal-api/server-methods/process-methods.md).

# Process Methods

### Get available processes

## Get available processes

<mark style="color:blue;">`GET`</mark> `/avail-process`

This method provides information about available processes for a given api key

{% tabs %}
{% tab title="200: OK Information is shown (OK)" %}

<pre class="language-json" data-title="Example response:"><code class="lang-json">[
<strong>    {
</strong>        "id": “0”,
<strong>        "counterpartyId": “0”,
</strong>        "name": "PADES-BES",
        "tsaSettingsId": “0”,
        "hsMsId": “0”,
        "settings": "{}",
        "procesType": “0”
    }
]
</code></pre>

{% endtab %}

{% tab title="404: Not Found Not found" %}

{% endtab %}
{% endtabs %}

### Acquire certificate

## Acquire certificate

<mark style="color:blue;">`GET`</mark> `/certificate`

Method is used to acquire and then download a certificate for given processId.

#### Request Body

| Name      | Type    | Description |
| --------- | ------- | ----------- |
| processId | Integer |             |

{% tabs %}
{% tab title="200: OK Certificate is acquired (OK)" %}
\-----BEGIN CERTIFICATE-----&#x20;

{certificate}

&#x20;\-----END CERTIFICATE-----
{% endtab %}

{% tab title="404: Not Found Not found" %}

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.signius.eu/api/seal-api/server-methods/process-methods.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
